httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 37562] - mod_ssl compilation fails with ssl_engine_kernel.c:626: undefined reference to `X509_STORE_CTX_set_depth
Date Fri, 18 Nov 2005 23:09:49 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG·
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://issues.apache.org/bugzilla/show_bug.cgi?id=37562>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND·
INSERTED IN THE BUG DATABASE.

http://issues.apache.org/bugzilla/show_bug.cgi?id=37562





------- Additional Comments From rpluem@apache.org  2005-11-19 00:09 -------
Nobody bites here :-).

I guess the problem in your case is an improper installed Openssl toolkit.
Openssl 0.9.8a is the latest kit, so I doubt that it is contained in your Linux
distribution. That means you must have compiled it by yourself. Maybe you mixed
your self compiled Openssl kit with the one that is installed by default.

Before 0.9.8 X509_STORE_CTX_set_depth has been a macro defined in x509_vfy.h,
but since 0.9.8 it is a true function with the prototype in x509_vfy.h.
So I think you compiled your httpd against 0.9.8a headers but against an shared
libs from an older version.

If in doubt recompile your openssl 0.9.8a, install it to a distinct location
(e.g. /opt/openssl-0.9.8a) and configure httpd with --with-ssl=/opt/openssl-0.9.8a

-- 
Configure bugmail: http://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@httpd.apache.org
For additional commands, e-mail: bugs-help@httpd.apache.org


Mime
View raw message